Package: geary / 0.12.4-4

Metadata

Package Version Patches format
geary 0.12.4-4 3.0 (quilt)

Patch series

view the series file
Patch File delta Description
bindings Drop custom javascriptcore 4.0 and webkit2gtk 4..patch | (download)

bindings/metadata/Soup-2.4.metadata | 3 0 + 3 - 0 !
bindings/metadata/WebKit2-4.0.metadata | 15 0 + 15 - 0 !
bindings/metadata/WebKit2WebExtension-4.0-custom.vala | 5 0 + 5 - 0 !
bindings/metadata/WebKit2WebExtension-4.0.metadata | 9 0 + 9 - 0 !
bindings/vapi/javascriptcore-4.0.vapi | 155 0 + 155 - 0 !
src/CMakeLists.txt | 39 3 + 36 - 0 !
test/CMakeLists.txt | 2 1 + 1 - 0 !
7 files changed, 4 insertions(+), 224 deletions(-)

 bindings: drop custom javascriptcore-4.0 and webkit2gtk-4.0 vapi


Adjust to upstream javascriptcore 4.0 bindings.patch | (download)

src/client/conversation-viewer/conversation-web-view.vala | 2 1 + 1 - 0 !
src/client/util/util-webkit.vala | 10 5 + 5 - 0 !
src/client/web-process/web-process-extension.vala | 17 6 + 11 - 0 !
src/engine/util/util-js.vala | 30 21 + 9 - 0 !
4 files changed, 33 insertions(+), 26 deletions(-)

 adjust to upstream javascriptcore-4.0 bindings


Clean up JS util API courtesy the new bindings.patch | (download)

src/client/util/util-webkit.vala | 2 1 + 1 - 0 !
src/engine/util/util-js.vala | 12 5 + 7 - 0 !
2 files changed, 6 insertions(+), 8 deletions(-)

 clean up js util api courtesy the new bindings.


Actually use error variable.patch | (download)

src/client/application/geary-controller.vala | 2 1 + 1 - 0 !
1 file changed, 1 insertion(+), 1 deletion(-)

 actually use error variable to check for ioerror.cancelled